# Maya

Maya is a Discord bot made for Discord's Hack Week competition.

Maya was made by dAn#3280, mitch#1270 and quakkers#0001

This bot aims to provide a few command to increase ones productivity.

## Setup

The default prefix for the bot is `-`

You can also ping the bot with a space after the mention, and then the command name.

#### Option A

To set up this bot, you will need to create a Discord bot via Discord's Developer Dashboard. Once you have your bots token, you will need various API keys from different API services, all of which have free tiers.

###### API Keys

[newsapi.org](https://newsapi.org/)

[Yandex translations](https://tech.yandex.com/translate/)

[Opencage Geo](https://opencagedata.com/)

[Open Weather Map](https://openweathermap.org/api)

When running this bot, please ensure that it is saved in a location where it has permissions to write to the disk.

#### Option B

Instead, to save lots of time and effort, you can simply join [this Discord server](https://discord.gg/6sujM6j) which will have the bot hosted for around 7 days after the competition closes. In order to access all the commands, make sure you are the server owner, or have the Discord permission "Administrator".

## Functions

Maya has a couple commands which can be used to perform certain productive tasks.

#### addmod

This command allows users with the Discord permission "Administrator" to add users to the Moderators permission group.

#### announce

This command allows users with the Discord permission "Administrator" to send an announcement to a specified channel

#### bitcoin

This command allows anyone to get the current value of bitcoin in multiple different currenices.

#### delmod

This command allows users with the Discord permission "Administrator" to remove users to the Moderators permission group.

#### getperms

This command allows anyone to get the permission level of themselves, or a mentioned user.

#### headsup

This command allows anyone to view their headsup configurations or update them.

#### help

This command allows anyone to get help of all the command or detailed help about a specific one.

#### news

This command will fetch news based on a query.

#### setprefix

This command allows users with the Discord permission "Administrator" to change the bots prefix.

#### translate

This command allows any use to translate text to another language. The command will auto detect the current language and translate it to a provided language.

#### Heads up NLP

By pinging Maya and asking for your heads up, or by asking how your day is looking, Maya will try to understand what you're asking and provide you with your heads up for the day based on your configurations. If you do not have any configurations, this will fail.